## ros-indigo-concert-workflow-engine-msgs 0.7.12

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(concert_workflow_engine_msgs)

##############################################################################
# Dependencies
##############################################################################

set(${PROJECT_NAME}_MSG_DEPENDENCIES
    std_msgs)

find_package(catkin REQUIRED
  COMPONENTS message_generation ${${PROJECT_NAME}_MSG_DEPENDENCIES})

##############################################################################
# Messages
##############################################################################

add_message_files(
  DIRECTORY msg
  FILES
  EnableWorkflows.msg
  Workflow.msg
  WorkflowsStatus.msg
  )

generate_messages(DEPENDENCIES ${${PROJECT_NAME}_MSG_DEPENDENCIES})

##############################################################################
# Package
##############################################################################

catkin_package(CATKIN_DEPENDS message_runtime ${${PROJECT_NAME}_MSG_DEPENDENCIES})

=== debian/changelog ===
ros-indigo-concert-workflow-engine-msgs (0.7.12-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.11-1trusty) trusty; urgency=high

  * add ready status
  * re define workflow status message included pre-defined status
  * change status type and add pre define about status
  * delete unused variable
  * delete unused file
  * update concert workflow engine message
  * Contributors: dwlee

 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 26 May 2015 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.10-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.9-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.8-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.7-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 25 Aug 2014 07:51:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.6-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 25 Aug 2014 07:37:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.5-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 05 May 2014 14:37:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.4-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 05 May 2014 14:12:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.3-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 16 Apr 2014 11:21:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.2-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 16 Apr 2014 10:54:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.1-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 08 Apr 2014 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.7.0-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Fri, 28 Mar 2014 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.6.9-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Fri, 21 Mar 2014 00:49:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.6.8-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 20 Mar 2014 23:44:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.6.7-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 15 Jan 2014 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.6.6-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 13 Jan 2014 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.6.5-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 18 Dec 2013 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.6.4-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 30 Oct 2013 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.6.2-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 10 Sep 2013 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.6.1-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.6.0-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 07 Aug 2013 09:58:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.5.3-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 07 Aug 2013 10:04:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.5.2-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.5.1-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 10 Jun 2013 16:28:55 +0900

ros-indigo-concert-workflow-engine-msgs (0.5.0-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 26 May 2013 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.3.0-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.2.1-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 30 Jan 2013 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.2.0-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 23 Dec 2012 05:15:44 -0000

ros-indigo-concert-workflow-engine-msgs (0.1.4-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Sun, 23 Dec 2012 05:15:23 -0000

ros-indigo-concert-workflow-engine-msgs (0.1.3-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Thu, 06 Dec 2012 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.1.2-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 21 Nov 2012 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.1.1-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Tue, 20 Nov 2012 15:00:00 -0000

ros-indigo-concert-workflow-engine-msgs (0.1.0-1trusty) trusty; urgency=high



 -- Dongwook Lee <dwlee@yujinrobot.com>  Wed, 28 Mar 2012 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-concert-workflow-engine-msgs
Section: misc
Priority: extra
Maintainer: Dongwook Lee <dwlee@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-concert-workflow-engine-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-std-msgs
Description: Messages used by workflow engine

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-concert-workflow-engine-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
